/**********************************************************************
 
	Copyright (C) 2003-2004
	Hirohisa MORI <joshua@nichibun.ac.jp>
	Tomoki SEKIYAMA <sekiyama@yahoo.co.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/



#ifndef ___V_SPACER_H___
#define ___V_SPACER_H___

#include "v/VObject.h"

class VSpacer : public VObject
{
  public:
	enum { object_type = 'spcr' };
	virtual unsigned	get_type() const { return object_type; }
	
	static VSpacer* create(const VObjectStatus *s, int flags, int *err) {
		return create_tmp<VSpacer>(s,flags,err);
	}
	
  protected:
	virtual ~VSpacer();
	
	virtual void	create_do(const VObjectStatus *, int flags, void * arg) { info = 0; }
	virtual void	destroy_do() { };
};

#endif
